## whichwayisup 0.7.9

=== debian/changelog ===
whichwayisup (0.7.9-8) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Fix crash when joystick is being used.
    The keys_released dictionary was not initialized for all possible keys,
    which could lead to a KeyError when one of the entries was accessed.
    (as these keys are related to Joystick inputs, this seems to happen only
    with connected Joysticks) (Closes: #974701)
  * Declare that d/rules does not require root
  * Update watch file to version format 4
  * Bump debhelper-compat version to 13
  * Bump Standards-Version to 4.5.1

 -- Markus Koschany <apo@debian.org>  Mon, 23 Nov 2020 00:12:56 +0100

whichwayisup (0.7.9-7) unstable; urgency=medium

  * Team upload.
  * Port to python3. (Closes: #912500)
  * Use HTTPS for homepage.
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper compat level to 12.
  * Drop override_dh_installchangelogs target, as changelog is auto-detected.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 26 Jul 2019 22:02:06 +0200

whichwayisup (0.7.9-6) unstable; urgency=medium

  * Switch to compat level 11.
  * Drop deprecated menu file and xpm icon.
  * Declare compliance with Debian Policy 4.2.1.
  * Use canonical VCS URI.
  * d/control: Switch from priority extra to optional.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 15:19:50 +0100

whichwayisup (0.7.9-5) unstable; urgency=medium

  * Moved the package to Git.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Jul 2016 20:53:17 +0200

whichwayisup (0.7.9-4) unstable; urgency=medium

  * Update font_path.patch. Fix path to DejaVuSans.ttf.
    - Thanks to Stefan Arnold for the report. (Closes: #754889)
  * Declare compliance with Debian Policy 3.9.5.
  * Remove build-dependency and dependency on python-ogg.
    - python-pygame provides all necessary features.
  * Install whichwayisup.png to usr/share/icons/hicolor/64x64/apps.

 -- Markus Koschany <apo@gambaru.de>  Tue, 15 Jul 2014 23:37:22 +0200

whichwayisup (0.7.9-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/game.sh: Use exec when calling python.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Switch to source format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9.
  * debian/control:
    - Drop quilt dependency. Source format 3.0 uses quilt by default.
    - Use canonical Vcs-URI.
    - Bump Standards-Version to 3.9.4, no changes.
    - Depend on fonts-dejavu-core instead of ttf-dejavu-core.
    - Add python, python-pygame and python-ogg to Build-Depends-Indep.
    - Replace python with ${python:Depends}.
    - Update homepage field.
  *  Move game.sh to bin/whichwayisup and install it to /usr/games directly.
     Hence we can drop whichwayisup.links.
  * Add longtitle to whichwayisup.menu
  * Add keywords and comment in German to desktop file.
  * Drop README.source.
  * Simplify debian/rules by using dh sequencer and build with --python2.
  * Add DEP-3 headers to all patches.
  * Add initialize-only-required-pygame-modules.patch. (Closes: #432015)
  * Add check-for-joystick-axes-not-null.patch.
    - Under certain circumstances whichwayisup detected keyboards as joysticks.
      This patch also checks whether the joystick has axes. This prevents the
      game from failing to start. (Closes: #710162)
  * Update debian/copyright to copyright format 1.0.
  * Add Bitstream-Vera-Fonts license.
  * Install documentation how to create new game levels. (creating_levels.txt)
  * Install a higher resolution whichwayisup.png icon. (Closes: #471579)
  * Update debian/watch and make the extension regex more flexible.

 -- Markus Koschany <apo@gambaru.de>  Tue, 28 May 2013 19:45:33 +0200

whichwayisup (0.7.9-2) unstable; urgency=low

  * python-pyogg was renamed into python-ogg, update dependencies accordingly
    (Closes: #494895)
  * Refresh patches.
  * Bump Standards Version to 3.8.0 (no changes)
    + Add README.source
  * Add the word "Copyright" to copyright statement for the Debian packaging
    to make lintian happy.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 22 Feb 2009 00:25:46 +0100

whichwayisup (0.7.9-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Fixed URL to GPL v2 in debian/copyright
  * Fixed bashism: Replaced "{build,configure}-stamp"
    by "build-stamp configure-stamp" in debian/rules.

  [ Jon Dowland ]
  * Add Homepage: to source control stanza

  [ Evgeni Golov ]
  * Switch to DejaVu fonts (Closes: #461296)

  [ Ansgar Burchardt ]
  * New upstream release
    + Support for fullscreen mode (Closes: #431385)
  * debian/control:
    + Remove Homepage semi-field from description
    + Change XS-Vcs-* to Vcs-*
    + Bump Debian Standards version to 3.7.3
    + Add myself to uploaders
  * debian/rules:
    + Call dh_desktop
  * debian/whichwayisup.desktop:
    + Remove deprecated Encoding key
  * Include /usr/share/quilt/quilt.make instead of calling it

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 18 Feb 2008 00:17:36 +0100

whichwayisup (0.7.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #427029)

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 12:08:21 +0100
