=== debian/control ===
Source: whichwayisup
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Ansgar Burchardt <ansgar@43-1.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-pygame
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/games-team/whichwayisup.git
Vcs-Browser: https://salsa.debian.org/games-team/whichwayisup
Homepage: https://www.oletus.fi/static/whichwayisup/

Package: whichwayisup
Architecture: all
Depends:
 fonts-dejavu-core,
 python3-pygame,
 ${misc:Depends},
 ${python3:Depends}
Description: 2D platform game with a slight rotational twist
 Which Way Is Up, a traditional and challenging 2D platform game with a
 slight rotational twist. Help a mysterious big-eared salaryman named Guy
 find his keys in a labyrinth of dangers and bad dialogue.
