=== debian/watch ===
version=4
opts="uversionmangle=s/^b//;s/(\d)(\d)(\d)/$1.$2.$3/g" \
https://www.oletus.fi/static/whichwayisup/ whichwayisup_([^_]+)@ARCHIVE_EXT@
